import unittest
from commons.launcher.MafftClusterLauncher import MafftClusterLauncher


class Test_MafftClusterLauncher( unittest.TestCase ):
    
    def setUp( self ):
        self._i = MafftClusterLauncher()
        
        
    def tearDown( self ):
        self._i = None
        
        
    def test_getSpecificHelpAsString( self ):
        exp = ""
        exp += "\nspecific options:"
        exp += "\n     -p: parameters for 'mafft' (default='--auto')"
        obs = self._i.getSpecificHelpAsString()
        self.assertEqual( exp, obs )
        
        
    def test_setASpecificAttributeFromCmdLine( self ):
        self._i.setASpecificAttributeFromCmdLine( "-p", "dummyPrgParam" )
        self.assertEqual( "dummyPrgParam", self._i.getProgramParameters() )
        
if __name__ == "__main__":
        unittest.main()