import unittest
from commons.launcher.YassClusterLauncher import YassClusterLauncher

class Test_YassClusterLauncher( unittest.TestCase ):
    
    def setUp( self ):
        self._i = YassClusterLauncher()
        
        
    def tearDown( self ):
        self._i = None
        
        
    def test_getSpecificHelpAsString( self ):
        exp = ""
        exp += "\nspecific options:"
        exp += "\n     -s: name of the subject file (format='fasta')"
        exp += "\n     -p: parameters for 'yass'"
        exp += "\n     -Z: concatenate output files"
        exp += "\n     -A: same sequences (all-by-all)"
        obs = self._i.getSpecificHelpAsString()
        self.assertEqual( exp, obs )
        
        
    def test_setASpecificAttributeFromCmdLine( self ):
        self._i.setASpecificAttributeFromCmdLine( "-s", "dummySubjectFile.fa" )
        self.assertEqual( "dummySubjectFile.fa", self._i.getSubjectFile() )
        
if __name__ == "__main__":
        unittest.main()