class MockFastaForReplaceGreaterThanSymbolInFastaHeader(object):
	def write(self, inFileName):
		f = open(inFileName, 'w')
		f.write(">sp|P0A2V0|NDVA_AGRT5 Beta-(1-->2)glucan export ATP-binding/permease protein ndvA OS=Agrobacterium tumefaciens (strain C58 / ATCC 33970) GN=ndvA PE=3 SV=1\n")
		f.write("MTLFQVYTRALRYLTVHKWRVAVVVIANVILAAITIAEPVLFGRIIDAISSGTNVTPILI\n")
		f.write("LWAGFGVFNTVAYVAVAREADRLAHGRRATLLTEAFGRIISMPLSWHHLRGTSNALHTLL\n")
		f.write("RASETLFGLWLEFMRTHLATFVALVLLIPTAMAMDLRLSFVLIGLGIVYWFIGKWVMGRT\n")
		f.write("KDGQASVEEHYHSVFAHVSDSISNVSVLHSYNRIEAETKALKSFTEKLLSAQYPVLDWWA\n")
		f.write("FASALNRTASTVSMMIILVIGTVLVKNGELRVGDVIAFIGFANLLIGRLDQMRQFVTQIF\n")
		f.write("EARAKLEDFFVLEDAVKEREEPGDARELSNVSGTVEFRNINFGFANTKQGVHDVSFTAKA\n")
		f.write("GETVAIVGPTGAGKTTLINLLQRVYDPDSGQILIDGTDISTVTKNSLRNSIATVFQDAGL\n")
		f.write("LNRSIRENIRLGRETATDAEVVEAAAAAAATDFIDSRINGYLTQVGERGNRLSGGERQRI\n")
		f.write("AIARAILKNAPILVLDEATSALDVETEARVKAAVDALRKNRTTFIIAHRLSTVRDADLVL\n")
		f.write("FLDQGRIIEKGTFDELTQRGGRFTSLLRTSGLLTEDEGQQPRPKAIAS\n")
		f.write(">sp|Q694C1|ABC3G_GORGO DNA dC->dU-editing enzyme APOBEC-3G OS=Gorilla gorilla gorilla GN=APOBEC3G PE=2 SV=1\n")
		f.write("MTPQFRNTVERMYRDTFSYNFNNRPILSRRNTVWLCYEVKTKDPSRPPLDAKIFRGQVYS\n")
		f.write("ELKYHPEMRFFHWFSKWRKLHRDQEYEVTWYISWSPCTKCTRNVATFLAEDPKVTLTIFV\n")
		f.write("ARLYYFWDQDYQEALRSLCQKRDGPRATMKIMNYDEFQHCWSKFVYSQRELFEPWNNLPK\n")
		f.write("YYMLLHIMLGEILRHSMDPPTFTSNFNNEHWVRGRHETYLCYEVERLHNDTWVLLNQRRG\n")
		f.write("FLCNQAPHKHGFLEGRHAELCFLDVIPFWKLDLHQDYRVTCFTSWSPCFSCAQEMAKFIS\n")
		f.write("NKKHVSLCIFAARIYDDQGRCQEGLRTLAEAGAKISIMTYSEFKHCWDTFVYHQGCPFQP\n")
		f.write("WDGLEEHSQALSGRLQAILQNQGN\n")
		f.write(">sp|P0A4M1|ZTOX_ENTFA Zeta-toxin OS=Enterococcus faecalis PE=3 SV=1\n")
		f.write("MANITDFTEKQFEDRLEKNVERLTKNRLAVESPTAFLLGGQPGSGKTSLRSAISEETQGN\n")
		f.write("VVIIDNDTFKQQHPNFDELVKLYEKDVVKYVTPYSNRMTEAIISRLRDKGYNLVIEGTGR\n")
		f.write("TTDVPIQTATMLQAKDYETKMYVMAVPKINSYLGTIERYETMYADDPMTARATPKQAHDI\n")
		f.write("VVKNLPTNLETLHKTGLFSDIRLYNREGVKLYSSLETPSISPKETLERELNRKVSGKEIQ\n")
		f.write("PTLERIEQKMVQNQHQETPEFKAIQQKMESLQPPTPPIPKTPKLPGI\n")
		f.close()
		
class MockFastaForReplaceGreaterThanSymbolInFastaHeader_withoutGreaterThan(object):
	def write(self, inFileName):
		f = open(inFileName, 'w')
		f.write(">sp|P0A2V0|NDVA_AGRT5 Beta-(1 to 2)glucan export ATP-binding/permease protein ndvA OS=Agrobacterium tumefaciens (strain C58 / ATCC 33970) GN=ndvA PE=3 SV=1\n")
		f.write("MTLFQVYTRALRYLTVHKWRVAVVVIANVILAAITIAEPVLFGRIIDAISSGTNVTPILI\n")
		f.write("LWAGFGVFNTVAYVAVAREADRLAHGRRATLLTEAFGRIISMPLSWHHLRGTSNALHTLL\n")
		f.write("RASETLFGLWLEFMRTHLATFVALVLLIPTAMAMDLRLSFVLIGLGIVYWFIGKWVMGRT\n")
		f.write("KDGQASVEEHYHSVFAHVSDSISNVSVLHSYNRIEAETKALKSFTEKLLSAQYPVLDWWA\n")
		f.write("FASALNRTASTVSMMIILVIGTVLVKNGELRVGDVIAFIGFANLLIGRLDQMRQFVTQIF\n")
		f.write("EARAKLEDFFVLEDAVKEREEPGDARELSNVSGTVEFRNINFGFANTKQGVHDVSFTAKA\n")
		f.write("GETVAIVGPTGAGKTTLINLLQRVYDPDSGQILIDGTDISTVTKNSLRNSIATVFQDAGL\n")
		f.write("LNRSIRENIRLGRETATDAEVVEAAAAAAATDFIDSRINGYLTQVGERGNRLSGGERQRI\n")
		f.write("AIARAILKNAPILVLDEATSALDVETEARVKAAVDALRKNRTTFIIAHRLSTVRDADLVL\n")
		f.write("FLDQGRIIEKGTFDELTQRGGRFTSLLRTSGLLTEDEGQQPRPKAIAS\n")
		f.write(">sp|Q694C1|ABC3G_GORGO DNA dC to dU-editing enzyme APOBEC-3G OS=Gorilla gorilla gorilla GN=APOBEC3G PE=2 SV=1\n")
		f.write("MTPQFRNTVERMYRDTFSYNFNNRPILSRRNTVWLCYEVKTKDPSRPPLDAKIFRGQVYS\n")
		f.write("ELKYHPEMRFFHWFSKWRKLHRDQEYEVTWYISWSPCTKCTRNVATFLAEDPKVTLTIFV\n")
		f.write("ARLYYFWDQDYQEALRSLCQKRDGPRATMKIMNYDEFQHCWSKFVYSQRELFEPWNNLPK\n")
		f.write("YYMLLHIMLGEILRHSMDPPTFTSNFNNEHWVRGRHETYLCYEVERLHNDTWVLLNQRRG\n")
		f.write("FLCNQAPHKHGFLEGRHAELCFLDVIPFWKLDLHQDYRVTCFTSWSPCFSCAQEMAKFIS\n")
		f.write("NKKHVSLCIFAARIYDDQGRCQEGLRTLAEAGAKISIMTYSEFKHCWDTFVYHQGCPFQP\n")
		f.write("WDGLEEHSQALSGRLQAILQNQGN\n")
		f.write(">sp|P0A4M1|ZTOX_ENTFA Zeta-toxin OS=Enterococcus faecalis PE=3 SV=1\n")
		f.write("MANITDFTEKQFEDRLEKNVERLTKNRLAVESPTAFLLGGQPGSGKTSLRSAISEETQGN\n")
		f.write("VVIIDNDTFKQQHPNFDELVKLYEKDVVKYVTPYSNRMTEAIISRLRDKGYNLVIEGTGR\n")
		f.write("TTDVPIQTATMLQAKDYETKMYVMAVPKINSYLGTIERYETMYADDPMTARATPKQAHDI\n")
		f.write("VVKNLPTNLETLHKTGLFSDIRLYNREGVKLYSSLETPSISPKETLERELNRKVSGKEIQ\n")
		f.write("PTLERIEQKMVQNQHQETPEFKAIQQKMESLQPPTPPIPKTPKLPGI\n")
		f.close()
